package edu.cmu.cs.l3.absyn;

import edu.cmu.cs.l3.symbol.Symbol;

public class ASDeclarationType extends ASDeclaration {

    public ASDeclarationType(int p, Symbol name, ASType type) {
	super(p); m_name = name; m_type = type;

	m_classname = "ASDeclarationType";
    }

    public Symbol getName() {
	return m_name;
    }

    public ASType getType() {
	return m_type;
    }

    private Symbol m_name;
    private ASType m_type;
}